@use "mixins";

body {
  background-color: var(--color-white);
  color: var(--color-dark-primary);
  font-family: var(--font-body);
  font-size: 1.6rem;
  padding: 3.5vw 16.5vw;

  @include mixins.respond-to-small-screen {
    padding: 3.2rem 3.2vw;
  }
}

.recipe {
  margin: 0 auto;

  &__intro {
    margin-bottom: 3.5vw;

    @include mixins.respond-to-small-screen {
      margin-bottom: 6.4vw;
    }
  }

  &__title {
    font-family: var(--font-display);
    font-size: 4.8rem;
    font-weight: 700;
    line-height: 1.33;
    margin-bottom: 0.833vw;

    @include mixins.respond-to-small-screen {
      font-size: 2.4rem;
      margin-bottom: 3.2vw;
    }
  }

  &__description {
    font-size: 1.4rem;
    font-style: italic;
    font-weight: 500;
    line-height: 1.21;
    color: var(--color-dark-secondary);
    width: 40vw;
    display: flex;
    align-items: flex-start;
    gap: 0.833vw;
    margin-bottom: 3vw;

    @include mixins.respond-to-small-screen {
      font-size: 1.2rem;
      width: 100%;
      gap: 3.2vw;
      margin-bottom: 6.4vw;
    }

    &::before {
      content: url("assets/img/6dots.svg");
    }
  }

  &__photo {
    width: 100%;
    height: auto;
    object-fit: cover;
  }

  &__preparations {
    display: flex;
    flex-direction: row-reverse;
    gap: 11.75vw;

    @include mixins.respond-to-small-screen {
      flex-direction: column;
      gap: 8vw;
    }
  }

  &__stats {
    height: 25.5vw;
    flex: 3;
    box-shadow: 0 0 2rem rgb(0 0 0 / 10%);
    border-radius: 1.2rem;

    @include mixins.respond-to-small-screen {
      height: unset;
      flex: unset;
      box-shadow: unset;
      border-radius: unset;
      padding-right: 8vw;
    }
  }

  &__main-sections {
    flex: 8;
    display: flex;
    flex-direction: column;
    gap: 2.5vw;
    margin-bottom: 4vw;

    @include mixins.respond-to-small-screen {
      flex: unset;
      gap: 8vw;
      margin-bottom: 7vw;
    }
  }

  &__section-title {
    font-family: var(--font-display);
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 1.33;
    margin-bottom: 2vw;

    @include mixins.respond-to-small-screen {
      font-size: 1.8rem;
      margin-bottom: 5vw;
    }
  }

  &__ingredients {
    display: flex;
    flex-direction: column;
    gap: 2.5vw;

    @include mixins.respond-to-small-screen {
      gap: 10.5vw;
    }
  }

  &__source {
    font-style: italic;
    line-height: 1.5;
    color: var(--color-gray);

    @include mixins.respond-to-small-screen {
      font-size: 1.2rem;
      word-break: keep-all;
    }

    & br {
      display: none;

      @include mixins.respond-to-small-screen {
        display: unset;
      }
    }
  }
}
